Loading...
Searching...
No Matches
write_queue.h File Reference
Osmocom msgb write queues

Generic write queue implementation. More...

`#include <osmocom/core/select.h>`
`#include <osmocom/core/msgb.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_wqueue
| write queue instance More...

## Functions

void | osmo_wqueue_init (struct osmo_wqueue *queue, int max_length)
| Initialize a osmo_wqueue structure.
void | osmo_wqueue_clear (struct osmo_wqueue *queue)
| Clear a osmo_wqueue.
int | osmo_wqueue_enqueue (struct osmo_wqueue *queue, struct msgb *data)
| Enqueue a new Message buffers into a write queue.
int | osmo_wqueue_enqueue_quiet (struct osmo_wqueue *queue, struct msgb *data)
| Enqueue a new Message buffers into a write queue (without logging full queue events)
int | osmo_wqueue_bfd_cb (struct osmo_fd *fd, unsigned int what)
| Select loop function for write queue handling.

## Detailed Description

Generic write queue implementation.